Package com.arms.api.requirement.reqstatus.service

## Class ReqStatusImpl

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl
  - - com.arms.api.requirement.reqstatus.service.ReqStatusImpl

- All Implemented Interfaces:
    `ReqStatus`, `TreeService`

      @Service("reqStatus")
      public class ReqStatusImpl
      extends TreeServiceImpl
      implements ReqStatus

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Chat` | `chat` |
    `protected org.modelmapper.ModelMapper` | `modelMapper` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReqStatusImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `ALM_이슈상태_업데이트​(ReqStatusEntity reqStatusEntity)` |
    `JiraServerEntity` | `ALM서버_검색​(java.lang.Long ALM서버_아이디)` |
    `ReqStatusEntity` | `ALM서버_요구사항_삭제​(ReqStatusEntity reqStatusEntity)` |
    `ReqStatusEntity` | `ALM서버_요구사항_생성​(ReqStatusEntity reqStatusEntity)` |
    `ReqStatusEntity` | `ALM서버_요구사항_소프트_삭제​(ReqStatusEntity reqStatusEntity)` |
    `ReqStatusEntity` | `ALM서버_요구사항_수정​(ReqStatusEntity reqStatusEntity)` |
    `void` | `ALM서버_요구사항_처리_및_REQSTATUS_업데이트​(ReqStatusEntity reqStatusEntity, java.lang.Long 제품서비스_아이디)` |
    `JiraProjectEntity` | `ALM프로젝트_검색​(java.lang.Long ALM_프로젝트_아이디)` |
    `java.util.List<HierarchicalAlmIssue>` | `getHierarchicalAlmIssuesByAdvancedDiscovery​(java.lang.Long pdServiceId, java.util.List<java.lang.Long> pdServiceVersionIds)` |
    `java.util.List<HierarchicalAlmIssue>` | `getSubtasksAndLinkedIssues​(SubtaskAndLinkedIssuesRequestDTO requestDTO)` |
    `void` | `REQSTATUS_업데이트​(ReqStatusEntity reqStatusEntity, java.lang.Long 제품서비스_아이디)` |
    `void` | `reqStatusCheckAfterAlmProcess​(ReqStatusDTO reqStatusDTO, java.lang.Long 제품서비스_아이디)` |
    `ReqStatusDashboardVO` | `reqStatusDashboard​(java.lang.Long pdServiceId, java.util.List<java.lang.Long> pdServiceVersionIds)` |
    `java.util.List<IssueListVO>` | `reqStatusIssueList​(java.lang.Long pdServiceId, java.util.List<java.lang.Long> pdServiceVersionIds)` |
    `JiraIssueStatusEntity` | `매핑된_요구사항_이슈상태_검색​(java.util.Set<JiraIssueStatusEntity> issueStatusEntities, java.lang.Long 변경할_ARMS_상태아이디)` |
    `JiraIssueTypeEntity` | `요구사항_이슈타입검색​(java.util.Set<JiraIssueTypeEntity> issueTypes)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl

      `addNode, alterNode, alterNodeType, calculatePosition, cutMyself, enterMyselfFixLeftRight, enterMyselfFromTree, fixPositionParentIdOfCopyNodes, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, newInstance, overwriteNode, pasteMyselfFromTree, removeNode, saveOrUpdateList, searchNode, stretchLeft, stretchLeftRightForMyselfFromTree, stretchPositionForMyselfFromTree, stretchRight, updateField, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Field Detail

    - #### chat

          @Autowired
          protected Chat chat

    - #### modelMapper

          @Autowired
          protected org.modelmapper.ModelMapper modelMapper

  - ### Constructor Detail

    - #### ReqStatusImpl

          public ReqStatusImpl()

  - ### Method Detail

    - #### ALM서버_요구사항_처리_및_REQSTATUS_업데이트

          public void ALM서버_요구사항_처리_및_REQSTATUS_업데이트​(ReqStatusEntity reqStatusEntity,
                                                     java.lang.Long 제품서비스_아이디)

      Specified by:
        `ALM서버_요구사항_처리_및_REQSTATUS_업데이트` in interface `ReqStatus`

    - #### ALM서버_요구사항_생성

          public ReqStatusEntity ALM서버_요구사항_생성​(ReqStatusEntity reqStatusEntity)

    - #### ALM서버_요구사항_수정

          public ReqStatusEntity ALM서버_요구사항_수정​(ReqStatusEntity reqStatusEntity)

    - #### ALM서버_요구사항_소프트_삭제

          public ReqStatusEntity ALM서버_요구사항_소프트_삭제​(ReqStatusEntity reqStatusEntity)

    - #### ALM서버_요구사항_삭제

          public ReqStatusEntity ALM서버_요구사항_삭제​(ReqStatusEntity reqStatusEntity)

    - #### REQSTATUS_업데이트

          public void REQSTATUS_업데이트​(ReqStatusEntity reqStatusEntity,
                                     java.lang.Long 제품서비스_아이디)

    - #### 요구사항_이슈타입검색

          public JiraIssueTypeEntity 요구사항_이슈타입검색​(java.util.Set<JiraIssueTypeEntity> issueTypes)

    - #### 매핑된_요구사항_이슈상태_검색

          public JiraIssueStatusEntity 매핑된_요구사항_이슈상태_검색​(java.util.Set<JiraIssueStatusEntity> issueStatusEntities,
                                                        java.lang.Long 변경할_ARMS_상태아이디)

    - #### ALM프로젝트_검색

          public JiraProjectEntity ALM프로젝트_검색​(java.lang.Long ALM_프로젝트_아이디)

    - #### ALM서버_검색

          public JiraServerEntity ALM서버_검색​(java.lang.Long ALM서버_아이디)

      Specified by:
        `ALM서버_검색` in interface `ReqStatus`

    - #### ALM_이슈상태_업데이트

          public void ALM_이슈상태_업데이트​(ReqStatusEntity reqStatusEntity)

      Specified by:
        `ALM_이슈상태_업데이트` in interface `ReqStatus`

    - #### reqStatusCheckAfterAlmProcess

          @Async
          public void reqStatusCheckAfterAlmProcess​(ReqStatusDTO reqStatusDTO,
                                                    java.lang.Long 제품서비스_아이디)

      Specified by:
        `reqStatusCheckAfterAlmProcess` in interface `ReqStatus`

    - #### reqStatusDashboard

          public ReqStatusDashboardVO reqStatusDashboard​(java.lang.Long pdServiceId,
                                                         java.util.List<java.lang.Long> pdServiceVersionIds)
                                                  throws java.lang.Exception

      Specified by:
        `reqStatusDashboard` in interface `ReqStatus`
      Throws:
        `java.lang.Exception`

    - #### getHierarchicalAlmIssuesByAdvancedDiscovery

          public java.util.List<HierarchicalAlmIssue> getHierarchicalAlmIssuesByAdvancedDiscovery​(java.lang.Long pdServiceId,
                                                                                                  java.util.List<java.lang.Long> pdServiceVersionIds)
                                                                                           throws java.lang.Exception

      Specified by:
        `getHierarchicalAlmIssuesByAdvancedDiscovery` in interface `ReqStatus`
      Throws:
        `java.lang.Exception`

    - #### getSubtasksAndLinkedIssues

          public java.util.List<HierarchicalAlmIssue> getSubtasksAndLinkedIssues​(SubtaskAndLinkedIssuesRequestDTO requestDTO)
                                                                          throws java.lang.Exception

      Specified by:
        `getSubtasksAndLinkedIssues` in interface `ReqStatus`
      Throws:
        `java.lang.Exception`

    - #### reqStatusIssueList

          public java.util.List<IssueListVO> reqStatusIssueList​(java.lang.Long pdServiceId,
                                                                java.util.List<java.lang.Long> pdServiceVersionIds)
                                                         throws java.lang.Exception

      Specified by:
        `reqStatusIssueList` in interface `ReqStatus`
      Throws:
        `java.lang.Exception`